Author: nickboldt
Date: 2010-04-01 13:19:10 -0400 (Thu, 01 Apr 2010)
New Revision: 21204
Added:
branches/modular_build/runstack.sh
Log:
wrapper to run builds w/o tests and collect interdependency problems
Added: branches/modular_build/runstack.sh
===================================================================
--- branches/modular_build/runstack.sh (rev 0)
+++ branches/modular_build/runstack.sh 2010-04-01 17:19:10 UTC (rev 21204)
@@ -0,0 +1,28 @@
+#!/bin/bash
+
+#root of svn tree
+workingdir=~/workspace36/jbosstools-modular_build
+
+#use commandline args as list of components to build
+if [[ $# -lt 1 ]]; then
+ echo "Usage: $0 component1 component2 ..."
+ echo "Eg. $0 tests common jmx archives as"
+ echo "Eg. $0 jst jsf vpe struts seam"
+ exit 1
+fi
+
+components="$*"
+
+# run builds w/o running tests
+for d in $components; do
+ cd $workingdir; ./runtests.sh ${d}/ clean install -Dmaven.test.skip
+done
+
+# collect compilation results and failures
+for d in $components; do
+ cd $workingdir; echo "==== $d ===="
+ egrep -v "org\.|com\." $d/buildlog.latest.txt | egrep
"SUCCESS|FAIL"
+ egrep -A1 "Cannot complete the request|depends on|satisfy dependency|Missing
requirement|requires '.+'" $d/buildlog.latest.txt
+ echo ""
+done
+
Property changes on: branches/modular_build/runstack.sh
___________________________________________________________________
Name: svn:executable
+ *
Show replies by date